hpp-corbaserver: _objref_ContinuousValidation Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Friends | List of all members
_objref_ContinuousValidation Class Reference

`#include <hpp/core_idl/path_validations-idl.hh>`

Inheritance diagram for _objref_ContinuousValidation:
[legend]
Collaboration diagram for _objref_ContinuousValidation:
[legend]

## Public Member Functions
void | setSecurityMargins (const ::hpp::floatSeqSeq &margins)
void | setSecurityMarginBetweenBodies (const char *body_a, const char *body_b, ::hpp::value_type margin)
void | filterCollisionPairs (const ::hpp::core_idl::RelativeMotionMatrix &relMotion)
void | setBreakDistance (::hpp::value_type breakDistance)
value_type | getBreakDistance ()
| _objref_ContinuousValidation ()
| _objref_ContinuousValidation (omniIOR *, omniIdentity *)
Public Member Functions inherited from _objref_PathValidation
void | deleteThis ()
::CORBA::Boolean | deleteIfExpired ()
void | persistantStorage (::CORBA::Boolean persistant)
::CORBA::Boolean | validate (::hpp::core_idl::Path_ptr p, ::CORBA::Boolean reverse, ::hpp::core_idl::Path_out validPart, ::hpp::core_idl::PathValidationReport_out report)
::CORBA::Boolean | validateConfiguration (const ::hpp::floatSeq &config, ::hpp::core_idl::ValidationReport_out report)
| _objref_PathValidation ()
| _objref_PathValidation (omniIOR *, omniIdentity *)

## Protected Member Functions
virtual | ~_objref_ContinuousValidation ()
Protected Member Functions inherited from _objref_PathValidation
virtual | ~_objref_PathValidation ()

## Friends
class | ContinuousValidation

## Constructor & Destructor Documentation

## ◆ _objref_ContinuousValidation() [1/2]

_objref_ContinuousValidation::_objref_ContinuousValidation | ( |  | ) |
| inline

## ◆ _objref_ContinuousValidation() [2/2]

_objref_ContinuousValidation::_objref_ContinuousValidation | ( | omniIOR * | ,
|  | omniIdentity * |
| ) |  |

## ◆ ~_objref_ContinuousValidation()

virtual _objref_ContinuousValidation::~_objref_ContinuousValidation | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ filterCollisionPairs()

void _objref_ContinuousValidation::filterCollisionPairs | ( | const ::hpp::core_idl::RelativeMotionMatrix & | relMotion | ) |

## ◆ getBreakDistance()

value_type _objref_ContinuousValidation::getBreakDistance | ( |  | ) |

## ◆ setBreakDistance()

void _objref_ContinuousValidation::setBreakDistance | ( | ::hpp::value_type | breakDistance | ) |

## ◆ setSecurityMarginBetweenBodies()

void _objref_ContinuousValidation::setSecurityMarginBetweenBodies | ( | const char * | body_a,
|  | const char * | body_b,
|  | ::hpp::value_type | margin
| ) |  |

## ◆ setSecurityMargins()

void _objref_ContinuousValidation::setSecurityMargins | ( | const ::hpp::floatSeqSeq & | margins | ) |

## Friends And Related Symbol Documentation

## ◆ ContinuousValidation

friend class ContinuousValidation
| friend

The documentation for this class was generated from the following file:

- src/hpp/core_idl/path_validations-idl.hh